DCMTK - Feature #736

Move generating arith.h from build time to configuration time under Autoconf
2017-03-23 11:46 - Jan Schlamelcher

Status:

Priority:

Assignee:
Category:

Target version:
Module:

Operating System:

Closed
Normal
Marco Eichelberg

Configuration

Autoconf, CMake

Start date: 2017-03-23
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

To ensure arith.h always reflects the latest configuration settings, generating it was choosen to be at build time for Autoconf, as the
author was unable to implement the required logic that exists in CMake as m4 scripts. It turns out the resulting problems exceed the

benefits, therefore, generating arith.h should also happen during the configuration phase for Autoconf.

History

#1 - 2024-05-26 13:30 - Marco Eichelberg

- Status changed from New to Closed

- Assignee changed from Jan Schlamelcher to Marco Eichelberg

- % Done changed from 0 to 100

- Module changed from Autoconf to Autoconf, CMake

Closed by commit #867ec0cf3. arith.h is not required and not generated anymore.
